Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/SelfTest/src/main.cpp	(revision 67)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/SelfTest/src/main.cpp	(revision 71)
@@ -12,13 +12,6 @@
 void usage (int argc, char * argv[])
 {
-  cerr << "<Usage> " << argv[0] << " name_instance list_params" << endl
-       << "list_params is :" << endl
-//     << " - size_data     (unsigned int)" << endl
-//     << " - nb_port       (unsigned int)" << endl;
-       << "" << endl;
-
-  for (int i=0; i<argc; i++)
-    cerr << argv[i] << " ";
-  cerr << endl;
+  err (_("<Usage> %s name_instance list_params.\n"),argv[0]);
+  err (_("list_params is :\n"));
 
   exit (1);
@@ -47,5 +40,5 @@
         );
       
-      cout << param->print(1);
+      msg(_("%s"),param->print(1).c_str()):
       
       test (name,param);
@@ -53,10 +46,11 @@
   catch (morpheo::ErrorMorpheo & error)
     {
-      cout << "<" << name << "> : " <<  error.what ();
+      msg (_("<%s> : %s.\n"),name, error.what ());
       exit (EXIT_FAILURE);
     }
   catch (...)
     {
-      cerr << "<" << name << "> : This test must generate a error" << endl;
+      
+      err (_("<%s> : This test must generate a error.\n"),name);
       exit (EXIT_FAILURE);
     }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/SelfTest/src/test.cpp	(revision 67)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/SelfTest/src/test.cpp	(revision 71)
@@ -13,35 +13,34 @@
 #define CYCLE_MAX     (128*NB_ITERATION)
 
-#define LABEL(str)                                                                       \
-{                                                                                        \
-  cout << "{"+toString(static_cast<uint32_t>(sc_simulation_time()))+"} " << str << endl; \
+#define LABEL(str)							\
+  {									\
+  msg (_("{%d} %s\n"),static_cast<uint32_t>(sc_simulation_time()),str);	\
 } while(0)
 
-static uint32_t cycle = 0;
-
-#define SC_START(cycle_offset)                                          \
-do                                                                      \
-{                                                                       \
-/*cout << "SC_START (begin)" << endl;*/                                 \
-                                                                        \
-  uint32_t cycle_current = static_cast<uint32_t>(sc_simulation_time()); \
-  if (cycle_current != cycle)                                           \
-    {                                                                   \
-      cycle = cycle_current;                                            \
-      cout << "##########[ cycle "<< cycle << " ]" << endl;             \
-    }                                                                   \
-                                                                        \
-  if (cycle_current > CYCLE_MAX)                                        \
-    {                                                                   \
-      TEST_KO("Maximal cycles Reached");                                \
-    }                                                                   \
-  sc_start(cycle_offset);                                               \
-/*cout << "SC_START (end  )" << endl;*/                                 \
-} while(0)
+#define SC_START(cycle_offset)                                                       \
+  do									             \
+    {									             \
+      /*cout << "SC_START (begin)" << endl;*/				             \
+									             \
+      uint32_t cycle_current = static_cast<uint32_t>(sc_simulation_time());          \
+      if (cycle_offset != 0)						             \
+	{								             \
+	  cout << "##########[ cycle "<< cycle_current+cycle_offset << " ]" << endl; \
+	}								             \
+									             \
+      if (cycle_current > CYCLE_MAX)					             \
+	{								             \
+	  TEST_KO("Maximal cycles Reached");				             \
+	}								             \
+									             \
+      sc_start(cycle_offset);						             \
+									             \
+      /*cout << "SC_START (end  )" << endl;*/				             \
+    } while(0)
 
 void test (string name,
 	   morpheo::behavioural::@NAMESPACE_USE::Parameters * _param)
 {
-  cout << "<" << name << "> : Simulation SystemC" << endl;
+  msg(_("<%s> : Simulation SystemC.\n"),name.c_str());
 
 #ifdef STATISTICS
@@ -68,11 +67,12 @@
    ********************************************************/
   
-  cout << "<" << name << "> Instanciation of _@COMPONENT" << endl;
-  
+  msg(_("<%s> : Instanciation of _@COMPONENT.\n"),name.c_str());
+
   (*(_@COMPONENT->in_CLOCK))        (*(in_CLOCK));
   (*(_@COMPONENT->in_NRESET))       (*(in_NRESET));
 
 
-  cout << "<" << name << "> Start Simulation ............" << endl;
+  msg(_("<%s> : Start Simulation ............\n"),name.c_str());
+    
   Time * _time = new Time();
 
@@ -111,5 +111,6 @@
   TEST_OK ("End of Simulation");
   delete _time;
-  cout << "<" << name << "> ............ Stop Simulation" << endl;
+
+  msg(_("<%s> : ............ Stop Simulation\n"),name.c_str());
 
   delete in_CLOCK;
